function e48c47e1_e7e0_45a1_af83_948b106f906b_highlight_border_Page_Loaded(ParentControl, QuestionInfo, OutputResponse, CurrentResponse, AssetsBaseUrl){
    $control = $(ParentControl);
            
    $control.append('<div class="qInstruction">' + QuestionInfo.SurveyorInstruction + '</div>');
    $control.append('<div class="qText">' + QuestionInfo.Text + '</div>');
    $control.append('<div class="qError">' + QuestionInfo.ErrorMessage + '</div>');
    $control.append('</br>');
     $div = $('<div id="answers"></div>').appendTo($control);
     $others = $('<div id="others"></div>').appendTo($control);
     var answer = CurrentResponse != null ? CurrentResponse.GetSingleChoiceAnswer() : null;
    var answerID = answer != null ? answer.AnswerID : -1;
    var hasOtherSpec = false;
    var showOther = false;
     QuestionInfo.Answers.forEach(function (answer) {
               $('<input type="radio" id="'+ answer.ID +'" name="answer"' + (answerID == answer.ID ? 'checked':'') + '><label class="answerLabel" for="'+ answer.ID +'">'+answer.Text+'</label>').appendTo($div)
            .appendTo($div)
            .click(function () {
                if ($(this).is(':checked')) {
                    OutputResponse.SetSingleChoiceAnswer(answer.ID, answer.IsOtherSpecify ? $('input[type=text][id=other]').val() : '');
                    if(answer.IsOtherSpecify)
                    {
                        $('input[type=text][id=other]').css('display','block');
                    }
                    else
                    {
                        $('input[type=text][id=other]').css('display','none');
                    }
                }
                else {
                    OutputResponse.ClearSingleChoiceAnswer();
                }
            });
    if (answer.IsOtherSpecify) {
        hasOtherSpec = true;
        showOther = showOther || answerID == answer.ID;
    }
    });
    
    $div.buttonset(); 
        
    if(hasOtherSpec)
    {
     $text = $('<input/>', {
                type: 'text',
                value: answerID != -1 ? answer.OtherSpecifyText : '',
                id:'other'
            }).appendTo($others);
            if(!showOther)
            {
                $text.css('display', 'none');
            }
            $text.on('change keyup paste', function (e) {
                var value = $(this).val();
                $('input[type=radio]:checked').attr('checked', value !== '');
                var currAnswer = OutputResponse.GetSingleChoiceAnswer();
                if(currAnswer != null)
                {
                    OutputResponse.SetSingleChoiceAnswer(currAnswer.AnswerID, value);
                }
            });
    }
}